// ======================================================================
//
// MenuKey.h - keyboard keys that generate event #'s
// ~Chuck Karpiak
//
// copyright 1997 origin systems inc
//
// ======================================================================

#ifndef MENUKEY_H
#define MENUKEY_H

// ======================================================================

class    Bitmap;
#include "MenuElement.h"

// ======================================================================

class MenuKey : public MenuElement
{
private:

	char key;
	int  eventNumber;

private:

	MenuKey(void);
	MenuKey(const MenuKey &);
	MenuKey &operator =(const MenuKey &);

public:

	MenuKey(MenuElement *newParent, int maxWidth, int maxHeight, Iff *iff=NULL);
	virtual ~MenuKey(void);

	void             load(Iff *iff);

	virtual IoResult event(IoEventStruct *event);
};

// ======================================================================

#endif


